<?php
namespace Ak\View;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\View\HelperPluginManager;
use Laminas\View\Renderer\PhpRenderer;
use Laminas\View\Renderer\RendererInterface;

/**
 * Stvara novu instancu HelperPluginManagera.
 *
 * @package Ak\View
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/view
 */
final class HelperPluginManagerFactory implements FactoryInterface
{
    /**
     * Stvara instancu
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return HelperPluginManager
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var PhpRenderer $renderer */
        $renderer = $container->get(RendererInterface::class);
        return $renderer->getHelperPluginManager();
    }
}
